Subject: bug#12008: Alphabetic sorting respect user's language and/or locale

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jul 2012 18:55:24 +0300

> Date: Mon, 23 Jul 2012 17:49:49 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >>  > (And btw, AFAIK Dired doesn't sort, it relies on 'ls' to do so, and
>  >>  > 'ls' uses 'strcoll' to sort file names.
>  >>
>  >> I suppose this doesn't hold for the `ls' coming with GnuWin32.
>  >
>  > Why do you think so?  The code calls strcoll even on Windows.
> 
> But how do I request it when calling `ls'?

It works automagically.  Or, shall I say, "should work" (keeping in
mind how buggy GnuWin32 ports are).

On Unix, you can set LC_COLLATE in the environment to control the
collation order, but I don't think it works on Windows.

> Or, maybe better, what can I do to have `ls' respect my locale?

Barring any bugs, it should do so already.